Subject: [PATCH] Proposed fix

From: Sergio Durigan Junior <[email-masked]>
Date: Mon, 23 Sep 2013 00:37:10 -0300

Hi,

This bug is simple enough that it took only a one-liner to fix it.  I
believe it makes sense, because (as correctly pointed out by Daniel),
rm's manpage explicitly mentions that -I and --interactive=once should
be the same.

Tested here, without failures.  I already have commit access to the
GDB/binutils repo, so if you want to just extend my commit rights to
commit to the coreutils, that's fine too.

Thanks,

-- 
Sergio

2013-09-23  Sergio Durigan Junior  <[email-masked]>

	* src/rm.c (main): Option "-I" should be markes as "sometimes
	interactive" (RMI_SOMETIMES).

diff --git a/src/rm.c b/src/rm.c
index 4b87c12..7a51eef 100644
--- a/src/rm.c
+++ b/src/rm.c
@@ -244,7 +244,7 @@ main (int argc, char **argv)
           break;
 
         case 'I':
-          x.interactive = RMI_NEVER;
+          x.interactive = RMI_SOMETIMES;
           x.ignore_missing_files = false;
           prompt_once = true;
           break;